## simplestreams 0.1.0~bzr191

=== Makefile ===
TENV := ./tools/tenv

PUBKEY := examples/keys/example.pub
SECKEY := examples/keys/example.sec

EXDATA_SIGN ?= 1
ifeq ($(EXDATA_SIGN),1)
    EXDATA_SIGN_ARG := --sign
endif

test:
	nosetests -v tests/

exdata: exdata/fake exdata/data

exdata/data: exdata-query gnupg
	$(TENV) env REAL_DATA=1 ./tools/make-test-data $(EXDATA_SIGN_ARG) exdata-query/ exdata/data

exdata/fake: exdata-query gnupg
	$(TENV) ./tools/make-test-data $(EXDATA_SIGN_ARG) exdata-query/ exdata/fake

exdata-query:
	rsync -avz --delete --exclude "FILE_DATA_CACHE" --exclude ".bzr/*" cloud-images.ubuntu.com::uec-images/query/ exdata-query

$(PUBKEY) $(SECKEY):
	@mkdir -p $$(dirname "$(PUBKEY)") $$(dirname "$(SECKEY)")
	$(TENV) gen-example-key $(PUBKEY) $(SECKEY)

gnupg: gnupg/README

gnupg/README: $(PUBKEY) $(SECKEY)
	rm -Rf gnupg
	@umask 077 && mkdir -p gnupg
	$(TENV) gpg --import $(SECKEY) >/dev/null 2>&1
	$(TENV) gpg --import $(PUBKEY) >/dev/null 2>&1
	fp=$$($(TENV) gpg --with-fingerprint --with-colons $(PUBKEY) \
	    | awk -F: '$$1 == "fpr" {print $$10}') && \
	    echo "$${fp}:6:" | $(TENV) gpg --import-ownertrust
	@echo "this is used by $(TENV) as the gpg directory" > gnupg/README

examples-sign:
	$(TENV) js2signed examples/cirros examples/foocloud

.PHONY: exdata/fake exdata/data exdata-query examples-sign

## simplestreams 0.1.0~bzr223

=== debian/changelog ===
simplestreams (0.1.0~bzr223-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
    * some fixes to resolvework
    * include upstream work on glance mirror with support for
      writing simplestreams output to swift

 -- Scott Moser <smoser@ubuntu.com>  Thu, 11 Apr 2013 13:05:52 -0400

simplestreams (0.1.0~bzr191-0ubuntu1) raring; urgency=low

  * Initial release

 -- Scott Moser <smoser@ubuntu.com>  Tue, 26 Mar 2013 01:10:01 +0000

## simplestreams 0.1.0~bzr229

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 TENV := ./tools/tenv
 
 PUBKEY := examples/keys/example.pub
+PUBKEYS := $(PUBKEY)
 SECKEY := examples/keys/example.sec
 
 EXDATA_SIGN ?= 1
@@ -28,14 +29,16 @@
 
 gnupg: gnupg/README
 
-gnupg/README: $(PUBKEY) $(SECKEY)
+gnupg/README: $(PUBKEYS) $(SECKEY)
 	rm -Rf gnupg
 	@umask 077 && mkdir -p gnupg
 	$(TENV) gpg --import $(SECKEY) >/dev/null 2>&1
-	$(TENV) gpg --import $(PUBKEY) >/dev/null 2>&1
-	fp=$$($(TENV) gpg --with-fingerprint --with-colons $(PUBKEY) \
+	for pubkey in $(PUBKEYS); do \
+	  $(TENV) gpg --import $$pubkey >/dev/null 2>&1; \
+	  fp=$$($(TENV) gpg --with-fingerprint --with-colons $$pubkey \
 	    | awk -F: '$$1 == "fpr" {print $$10}') && \
-	    echo "$${fp}:6:" | $(TENV) gpg --import-ownertrust
+	    echo "$${fp}:6:" | $(TENV) gpg --import-ownertrust ; \
+	done
 	@echo "this is used by $(TENV) as the gpg directory" > gnupg/README
 
 examples-sign:

=== debian/changelog ===
simplestreams (0.1.0~bzr229-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
    * fix a bug in 'products_condense'
    * support http simple and digest auth

 -- Scott Moser <smoser@ubuntu.com>  Thu, 18 Apr 2013 18:19:11 -0400

## simplestreams 0.1.0~bzr266

=== Makefile ===
--- 
+++ 
@@ -9,8 +9,10 @@
     EXDATA_SIGN_ARG := --sign
 endif
 
+build:
+	@echo nothing to do for $@
 test:
-	nosetests -v tests/
+	nosetests3 -v tests/
 
 exdata: exdata/fake exdata/data
 
@@ -34,11 +36,7 @@
 	@umask 077 && mkdir -p gnupg
 	$(TENV) gpg --import $(SECKEY) >/dev/null 2>&1
 	for pubkey in $(PUBKEYS); do \
-	  $(TENV) gpg --import $$pubkey >/dev/null 2>&1; \
-	  fp=$$($(TENV) gpg --with-fingerprint --with-colons $$pubkey \
-	    | awk -F: '$$1 == "fpr" {print $$10}') && \
-	    echo "$${fp}:6:" | $(TENV) gpg --import-ownertrust ; \
-	done
+	  $(TENV) gpg-trust-pubkey $$pubkey; done
 	@echo "this is used by $(TENV) as the gpg directory" > gnupg/README
 
 examples-sign:

## simplestreams 0.1.0~bzr272

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 	@echo nothing to do for $@
 test:
 	nosetests3 -v tests/
+test2:
+	nosetests -v tests/
 
 exdata: exdata/fake exdata/data
 
@@ -42,4 +44,4 @@
 examples-sign:
 	$(TENV) js2signed examples/cirros examples/foocloud
 
-.PHONY: exdata/fake exdata/data exdata-query examples-sign
+.PHONY: exdata/fake exdata/data exdata-query examples-sign test test2

=== debian/changelog ===
simplestreams (0.1.0~bzr272-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix bug where .sjson files did not work with sstream-query and python3.
    * fix python2 issue in library that resulted in items not having all tags.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 10 Jul 2013 11:20:09 -0400

simplestreams (0.1.0~bzr266-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * include sstream-query, improved sstream-sync
    * supports python3

 -- Scott Moser <smoser@ubuntu.com>  Fri, 28 Jun 2013 16:23:11 -0400

## simplestreams 0.1.0~bzr307

=== debian/changelog ===
simplestreams (0.1.0~bzr307-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * support for progress callbacks in file object store.
    * support for partial download resume support to file object store.
    * inclusion of sstream-mirror
    * support for reading from gpg keyring rather than user's default keyring.
    * sstream-query --pretty output format.
    * fix for python2 if no python-requests is available

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 Sep 2013 21:55:18 -0400

## simplestreams 0.1.0~bzr318

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 PUBKEY := examples/keys/example.pub
 PUBKEYS := $(PUBKEY)
 SECKEY := examples/keys/example.sec
+
+example_sstream_files := $(wildcard examples/*/streams/v1/*.json)
 
 EXDATA_SIGN ?= 1
 ifeq ($(EXDATA_SIGN),1)
@@ -11,10 +13,18 @@
 
 build:
 	@echo nothing to do for $@
-test:
-	nosetests3 -v tests/
-test2:
-	nosetests -v tests/
+
+test: examples-sign
+	$(TENV) nosetests3 -v tests/
+test2: examples-sign
+	$(TENV) nosetests -v tests/
+lint:
+	$(TENV) ./tools/run-pylint
+
+pep8:
+	./tools/run-pep8
+
+check: lint pep8 test test2
 
 exdata: exdata/fake exdata/data
 
@@ -41,7 +51,14 @@
 	  $(TENV) gpg-trust-pubkey $$pubkey; done
 	@echo "this is used by $(TENV) as the gpg directory" > gnupg/README
 
-examples-sign:
-	$(TENV) js2signed examples/cirros examples/foocloud
+# this is less than ideal, but Make and ':' in targets do not work together
+# so instead of proper rules, we have this phoney rule that makes the
+# targets.  This would probably cause issue with -j.
+examples-sign: gnupg
+	@for f in $(example_sstream_files); do \
+		[ "$$f.gpg" -nt "$$f" -a "$${f%.json}.sjson" -nt "$$f" ] || \
+		{ echo "$(TENV) js2signed $$f" 1>&2; $(TENV) js2signed $$f; } || exit; \
+	done
 
-.PHONY: exdata/fake exdata/data exdata-query examples-sign test test2
+
+.PHONY: check exdata/fake exdata/data exdata-query examples-sign test test2

=== debian/changelog ===
simplestreams (0.1.0~bzr318-0ubuntu1) saucy-proposed; urgency=low

  * New upstream snapshot.
    * fix odd behavior bug when filtering.  The result was that if you
      had ever run with a filter, subsequent runs with modified filter
      would not see different results (LP: #1238227).

 -- Scott Moser <smoser@ubuntu.com>  Tue, 15 Oct 2013 17:25:40 -0400

simplestreams (0.1.0~bzr316-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix bug in resuming a partial download in sstream-mirror
      or anything using the FileObjectStore (LP: #1237990)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 10 Oct 2013 12:07:34 -0400

simplestreams (0.1.0~bzr315-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix interpreter written on sstream-sync, sstream-query and
      sstream-mirror. It should be python3, not python2.7. (LP: #1237637)
    * simplestreams/mirrors/__init__.py: fix bug causing resumed downloads
      to stack trace (LP: #1237658)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 09 Oct 2013 17:30:23 -0400

simplestreams (0.1.0~bzr313-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * handle sigpipe gracefully (LP: #1207779)
    * as user-friendly cleanup add a trailing '/' to a url if necessary
    * add --delete flag to sstream-sync
    * add python-simplestreams-openstack metapackage so other packages
      could depend on this, but the python-simplestreams package will
      not incur those dependencies. (LP: #1233269)
    * debian/control: Suggest rather than Depend on python-requests.
      Also, up the version to the actual required version (1.1).

 -- Scott Moser <smoser@ubuntu.com>  Mon, 30 Sep 2013 15:00:54 -0400

## simplestreams 0.1.0~bzr341

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,9 @@
 build:
 	@echo nothing to do for $@
 
-test: examples-sign
+test: test2 test3
+
+test3: examples-sign
 	$(TENV) nosetests3 -v tests/
 test2: examples-sign
 	$(TENV) nosetests -v tests/
@@ -24,7 +26,7 @@
 pep8:
 	./tools/run-pep8
 
-check: lint pep8 test test2
+check: lint pep8 test
 
 exdata: exdata/fake exdata/data
 
@@ -61,4 +63,4 @@
 	done
 
 
-.PHONY: check exdata/fake exdata/data exdata-query examples-sign test test2
+.PHONY: check exdata/fake exdata/data exdata-query examples-sign test test2 test3

=== debian/changelog ===
simplestreams (0.1.0~bzr341-0ubuntu2.3) trusty-security; urgency=high

  * export checksummer in simplestreams.util (LP: #1499749)
    Users of simplestreams.util checksummer would get an AttributeError
    because this was moved.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 25 Sep 2015 11:15:24 -0400

simplestreams (0.1.0~bzr341-0ubuntu2.2) trusty-security; urgency=medium

  * SECURITY UPDATE: insufficient verification of GPG signatures
    allowing malicious injection into images
    - debian/patches/lp1487004-use-checksumming-reader.patch: Ensure
      that users of the BasicMirrorWriter get exceptions when importing
      data that has invalid checksum or sizes. (LP: #1487004)
    - CVE-2015-1337
    - debian/patches/lp1487004-sru-safetynet.patch:
      provide a backwards compatible behavior via setting
      SS_MISSING_ITEM_CHECKSUM_BEHAVIOR=silent. See bug for more info.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 22 Sep 2015 17:12:43 -0400

simplestreams (0.1.0~bzr341-0ubuntu2.1) trusty-proposed; urgency=medium

  * GlanceMirror: identify images as i686 not i386 (LP: #1454775)
    When uploading i386 images to glance, mark their architecture as i686
    rather than i386 so that the openstack scheduler will schedule them.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 13 May 2015 14:33:29 -0400

simplestreams (0.1.0~bzr341-0ubuntu2) trusty-proposed; urgency=medium

  * debian/patches/1-add-item-filter-to-glancemirror.patch: add
    filter support, expose in sstream-mirror-glance (LP: #1339842)

 -- Michael McCracken <mike.mccracken@canonical.com>  Fri, 11 Jul 2014 13:01:54 -0700

simplestreams (0.1.0~bzr341-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
    * sstream-mirror: dry-run support
    * sstream-mirror: support for mirroring streams that re-use
      a path across items (such as maas ephemerals)
    * sstream-mirror: show gpg error message on gpg verification
  * debian/control: add build-depends on python-nose and python-yaml
    for running python 2 tests.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 26 Mar 2014 12:25:02 -0400

simplestreams (0.1.0~bzr331-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
    * support writing sparse files in FileStore
    * stringitems: make ints and floats available as strings
    * resolvwork: enforce that max and keep must be integers
    * load_keystone_creds: documentation
    * fix bug with contentsource (LP: #1241711)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 18 Mar 2014 17:01:45 -0400

simplestreams (0.1.0~bzr323-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:54:02 +0000

simplestreams (0.1.0~bzr323-0ubuntu1) trusty; urgency=low

  * New upstream snapshot.
    * fix bug with sstream-sync (LP: #1241711)
    * fix bug in glance mirror (LP: #1243433)
    * fix odd behavior bug when filtering.  The result was that if you
      had ever run with a filter, subsequent runs with modified filter
      would not see different results (LP: #1238227).

 -- Scott Moser <smoser@ubuntu.com>  Tue, 22 Oct 2013 19:35:38 -0400

=== debian/control ===
Source: simplestreams
Section: python
Priority: extra
Standards-Version: 3.9.4
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7),
               python-all,
               python-nose,
               python-setuptools,
               python-yaml,
               python3,
               python3-nose,
               python3-setuptools,
               python3-yaml
Homepage: http://launchpad.net/simplestreams
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: simplestreams
Architecture: all
Priority: extra
Depends: python3-simplestreams,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Replaces: python-simplestreams (<= 0.1.0~bzr230)
Conflicts: python-simplestreams (<= 0.1.0~bzr230)
Description: Library and tools for using Simple Streams data
 This package provides a client for interacting with simple
 streams data as is produced to describe Ubuntu's cloud images.

Package: python3-simplestreams
Architecture: all
Priority: extra
Depends: gnupg, ${misc:Depends}, ${python3:Depends}
Suggests: python3-requests (>= 1.1)
Description: Library and tools for using Simple Streams data
 This package provides a client for interacting with simple
 streams data as is produced to describe Ubuntu's cloud images.

Package: python-simplestreams
Architecture: all
Priority: extra
Depends: gnupg, python-boto, ${misc:Depends}, ${python:Depends}
Suggests: python-requests (>= 1.1)
Description: Library and tools for using Simple Streams data
 This package provides a client for interacting with simple
 streams data as is produced to describe Ubuntu's cloud images.

Package: python-simplestreams-openstack
Architecture: all
Priority: extra
Depends: python-glanceclient,
         python-keystoneclient,
         python-simplestreams,
         python-swiftclient,
         ${misc:Depends}
Description: Library and tools for using Simple Streams data
 This package depends on libraries necessary to use the openstack dependent
 functionality in simplestreams.  That includes interacting with glance,
 swift and keystone.

## simplestreams 0.1.0~bzr354

=== debian/changelog ===
simplestreams (0.1.0~bzr354-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    - support progress output in the glance mirror (LP: #1340983)
    - upstream uses pyflakes instead of pylint

 -- Scott Moser <smoser@ubuntu.com>  Fri, 22 Aug 2014 10:06:19 -0400

simplestreams (0.1.0~bzr351-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * backwards compatible improvements to 'products_condense'
      (LP: #1328100, LP: #1329804)
    * glance mirror: add filter support
    * sstream-mirror: add '--progress' flag.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 01 Jul 2014 11:24:18 -0400

## simplestreams 0.1.0~bzr401

=== debian/changelog ===
simplestreams (0.1.0~bzr401-0ubuntu1) wily; urgency=high

  * New upstream snapshot.  
    - export checksummer in simplestreams.util (LP: #1499749)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 25 Sep 2015 10:52:51 -0400

simplestreams (0.1.0~bzr400-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    - sstream-mirror, sstream-query, sstream-sync: add --no-verify
      flag (LP: #1249018)
    - pep8/flake8 cleanups
    - several closing of filehandle fixes (LP: #1461181)
    - GlanceMirror fix stack trace if no matching entries (LP: #1353724)
    - tools: upstream development tools fixes (not shipped in ubuntu)
    - GlanceMirror: change known Ubuntu arches into appropriate glance
      arch values (LP: #1483159)
    - Ensure all users of 'sync' get checksumming of content by default.
      insert_item now provides a content source that does checksumming
      during reads and raises exception on error (LP: #1487004)
  * debian/README.source: add file, doc how to take upstream snapshot
  * debian/rules: export SS_REQUIRE_DISTRO_INFO so that test
    runs without a dependency on distro-info

 -- Scott Moser <smoser@ubuntu.com>  Thu, 24 Sep 2015 21:53:46 -0400

simplestreams (0.1.0~bzr378-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    - GlanceMirror: identify images as i686 not i386 (LP: #1454775)
    - sstream-mirror: debug statement about filtered items
    - GlanceMirror: do not strip version information from endpoints
      (LP: #1346935)
    - general fixes to tools/ that are upstream only, not packaged.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 13 May 2015 13:03:50 -0400

## simplestreams 0.1.0~bzr426

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,16 @@
 	$(TENV) nosetests3 -v tests/
 test2: examples-sign
 	$(TENV) nosetests -v tests/
-lint:
-	$(TENV) ./tools/run-pylint
+
+lint: pyflakes
+
+pyflakes: pyflakes2 pyflakes3
+
+pyflakes2:
+	$(TENV) env ./tools/run-pyflakes
+
+pyflakes3:
+	$(TENV) env ./tools/run-pyflakes3
 
 pep8:
 	./tools/run-pep8
@@ -63,4 +71,4 @@
 	done
 
 
-.PHONY: check exdata/fake exdata/data exdata-query examples-sign test test2 test3
+.PHONY: check exdata/fake exdata/data exdata-query examples-sign test test2 test3 lint lint2 lint3

=== debian/changelog ===
simplestreams (0.1.0~bzr426-0ubuntu1.2) xenial-proposed; urgency=medium

  * [SRU] Set custom user agent (LP: #1578624)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 29 Nov 2016 21:41:48 -0500

simplestreams (0.1.0~bzr426-0ubuntu1.1) xenial; urgency=medium

  * Fix signature verification speed (LP: #1580534).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 12 May 2016 17:43:07 +0000

simplestreams (0.1.0~bzr426-0ubuntu1) xenial; urgency=medium

  * debian/README.source, debian/new-upstream-snapshot: add
    script to do what README.source said to do before.
  * New upstream snapshot.
    - glance mirror: use 'virt' key for hypervisor type and use names
      'kvm' and 'lxd' rather than 'qemu' and 'lxc' (LP: #1560903)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 23 Mar 2016 09:44:00 -0400

simplestreams (0.1.0~bzr423-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - glance mirror: better support for multi-hypervisor regions in 
      OpenStack (LP: #1518260)
    - util.py: dump_data: dump json data with sorted keys

 -- Scott Moser <smoser@ubuntu.com>  Mon, 01 Feb 2016 05:50:03 -0500

simplestreams (0.1.0~bzr420-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - sstream-query, sstream-mirror: fix a bug where --no-verify did not
      work with signed streams.
    - sanitize size parameter to read on Readers to address differences
      in python2 and python3 (LP: #1523682).
  * debian/control:
    - bump standards version
    - add build-depends on python-requests, python3-requests
    - add build-depends on dh-python
  * debian/copyright: fix lintian error by changing license name
    'agplv3' to 'AGPL-3'

 -- Scott Moser <smoser@ubuntu.com>  Tue, 08 Dec 2015 16:20:28 -0500

simplestreams (0.1.0~bzr416-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - support using gpgv if available and a keyring is provided (LP: #1250370)
    - sstream-mirror: fix trace if .data is not present (LP: #1511364)
    - support --json output to sstream-query
    - sstream-mirror do not write status information to stdout.
    - add json2streams command for converting json data to stream format.
  * debian/control: mention build-depends on python-mock and python3-mock

 -- Scott Moser <smoser@ubuntu.com>  Fri, 20 Nov 2015 15:38:24 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,20 @@
 Source: simplestreams
 Section: python
 Priority: extra
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7),
+               dh-python,
                python-all,
+               python-mock,
                python-nose,
+               python-requests (>= 1.1),
                python-setuptools,
                python-yaml,
                python3,
+               python3-mock,
                python3-nose,
+               python3-requests (>= 1.1),
                python3-setuptools,
                python3-yaml
 Homepage: http://launchpad.net/simplestreams

## simplestreams 0.1.0~bzr436

=== debian/changelog ===
simplestreams (0.1.0~bzr436-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - GlanceMirror: fix a couple of race-related problems (LP: #1584938)
    - GlanceMirror: refactor insert_item for easier testing
    - GlanceMirror: ignore inactive images (LP: #1583276)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 14 Jun 2016 16:23:26 -0400

simplestreams (0.1.0~bzr430-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - set a default user agent (LP: #1578622)
    - glance mirror: do not require that hypervisor_config be
      present (LP: #1578624)
    - Optimise read_signed method for better performance (LP: #1580534)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 May 2016 12:55:30 -0400

simplestreams (0.1.0~bzr427-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - Add user-agent support: allow users of the library to specify
      a user agent.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 05 May 2016 00:14:12 -0400

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,16 @@
 Build-Depends: debhelper (>= 7),
                dh-python,
                python-all,
+               python-glanceclient,
+               python-keystoneclient,
                python-mock,
                python-nose,
                python-requests (>= 1.1),
                python-setuptools,
                python-yaml,
                python3,
+               python3-glanceclient,
+               python3-keystoneclient,
                python3-mock,
                python3-nose,
                python3-requests (>= 1.1),

## simplestreams 0.1.0~bzr450

=== debian/changelog ===
simplestreams (0.1.0~bzr450-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - Keystone v3 Support [David Ames] (LP: #1686437)
    - flake8/pycodestyle updates.
    - tests: change to having http server select its own port
    - Support filters that contain a '-' in the tag name
    - Improvements for running flake8 in different Ubuntu release
      environments.
    - add running of tox.
    - json2streams: Accept items with no size.
    - tools changes (not related to package functionality)
      - tools/ubuntu_versions.py: Exclude old versions by version not name
      - Update default LTS alias to point to Xenial (LP: #1606606)
      - Create chksum for LXD metadata+root for squashfs (LP: #1577922)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 14 Sep 2017 10:38:07 -0400

## simplestreams 0.1.0~bzr460

=== Makefile ===
TENV := ./tools/tenv

EXDATA_SIGN ?= 1
ifeq ($(EXDATA_SIGN),1)
    EXDATA_SIGN_ARG := --sign
endif

build:
	@echo nothing to do for $@

test: test2 test3 flake8

test3: examples-sign
	$(TENV) nosetests3 -v tests/
test2: examples-sign
	$(TENV) nosetests -v tests/

flake8:
	# any means run via 'flake8' or 'python3 -m flake8'
	./tools/run-flake8 any

exdata: exdata/fake exdata/data

exdata/data: exdata-query gnupg
	$(TENV) env REAL_DATA=1 ./tools/make-test-data $(EXDATA_SIGN_ARG) exdata-query/ exdata/data

exdata/fake: exdata-query gnupg
	$(TENV) ./tools/make-test-data $(EXDATA_SIGN_ARG) exdata-query/ exdata/fake

exdata-query:
	rsync -avz --delete --exclude "FILE_DATA_CACHE" --exclude ".bzr/*" cloud-images.ubuntu.com::uec-images/query/ exdata-query

gnupg: gnupg/README

gnupg/README:
	./tools/create-gpgdir

examples-sign: gnupg/README
	$(TENV) ./tools/sign-examples

.PHONY: exdata/fake exdata/data exdata-query examples-sign flake8 test test2 test3

=== debian/changelog ===
simplestreams (0.1.0~bzr460-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - Glance: handle Keystone v2 session based authentication.
      [David Ames] (LP: #1611987)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 Apr 2018 12:50:58 -0400

simplestreams (0.1.0~bzr459-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - Fix make-test-data for python3.
    - Fix ubuntu_versions.py with distro_info > 0.14.
    - i386 OVA are not produced after bionic 20180213. [Phil Roche]
    - tools/make-test-data: Add AWS China cn-northwest-1 region
    - OpenStack: support uploading squash images for nova-lxd. (LP: #1686086)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 16 Mar 2018 12:28:14 -0400

simplestreams (0.1.0~bzr454-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - Support using older swift clients (older than Ocata).
      [David Ames] (LP: #1719879)
    - Fix glance sync always uploading new image with keystone v3 auth.
      [David Ames] (LP: #1728982)
    - tox.ini: Pin versions of style check tools used in flake8 env.
    - flake8: remove usage of bare except.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 31 Oct 2017 10:15:41 -0400

## simplestreams 0.1.0-22-g409fdc15

=== debian/changelog ===
simplestreams (0.1.0-22-g409fdc15-0ubuntu1) disco; urgency=medium

  * debian/README.source: update to refer to upstream packaging
    ubuntu/devel branch.
  * debian/new-upstream-snapshot: remove obsolete bzr tool.
  * New upstream snapshot.
    - tools: rename export-tarball to make-tarball.
    - Do not run flake8 during 'make test', remove 'trusty-flake8' tox env.
    - Add SSL support to simplestreams/openstack.py
      [Alex Kavanagh] (LP: #1802407)
    - Add 'ubuntu' alias to CURRENT_LTS. [Daniel Watkins]
    - tenv: Put topdir/bin before topdir/tools in PATH [Daniel Watkins]

 -- Scott Moser <smoser@ubuntu.com>  Mon, 07 Jan 2019 15:38:04 -0500

simplestreams (0.1.0-17-g693795b-0ubuntu1) disco; urgency=medium

  * debian/control: Update packaging to include
    python3-simplestreams-openstack.
  * debian/control: drop obsolete conficts/replaces.
  * debian/: fix lintian warnings and errors.
    - package-uses-deprecated-debhelper-compat-version: change to 9
      9 is what is in 16.04 (and 12.04), so stick with that for now.
    - build-depends-on-build-essential-package-without-using-version:
      drop the make dependency.
    - ancient-python-version-field: no need to specify X-python-version
      or X-python3-version any more.
    - ancient-standards-version:
      move debian/control Standards-Version to 4.2.1
    - priority-extra-is-replaced-by-priority-optional:
      replace extra with optional
   * debian/control: new package python3-simplestreams-openstack.
  * New upstream snapshot.
    - Move sstream-mirror-glance from tools/ to bin/.
    - glance: Support Glance version 2. [David Ames] (LP: #1790904)
    - Move to git.
    - sstream-mirror-glance update to python3 and include in shipped files.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Nov 2018 10:43:34 -0500

## simplestreams 0.1.0-25-gba75825b

=== debian/changelog ===
simplestreams (0.1.0-25-gba75825b-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - Add combined_disk1-img_sha256 to download.json [Stéphane Graber]
    - Apply filters to items before filtering versions [Philip Roche]
    - Add KVM images to eoan. [Pat Viafore]
  * d/control: remove python-simplestreams-openstack

 -- Daniel Watkins <oddbloke@ubuntu.com>  Tue, 20 Aug 2019 10:31:20 -0400

=== debian/control ===
Source: simplestreams
Section: python
Priority: optional
Standards-Version: 4.2.1
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7),
               dh-python,
               python-all,
               python-glanceclient,
               python-keystoneclient,
               python-mock,
               python-nose,
               python-requests (>= 1.1),
               python-setuptools,
               python-swiftclient,
               python-yaml,
               python3,
               python3-flake8,
               python3-glanceclient,
               python3-keystoneclient,
               python3-mock,
               python3-nose,
               python3-requests (>= 1.1),
               python3-setuptools,
               python3-swiftclient,
               python3-yaml
Homepage: http://launchpad.net/simplestreams

Package: simplestreams
Architecture: all
Priority: optional
Depends: python3-simplestreams,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Description: Library and tools for using Simple Streams data
 This package provides a client for interacting with simple
 streams data as is produced to describe Ubuntu's cloud images.

Package: python3-simplestreams
Architecture: all
Priority: optional
Depends: gnupg, python3-boto, ${misc:Depends}, ${python3:Depends}
Suggests: python3-requests (>= 1.1)
Description: Library and tools for using Simple Streams data
 This package provides a client for interacting with simple
 streams data as is produced to describe Ubuntu's cloud images.

Package: python-simplestreams
Architecture: all
Priority: optional
Depends: gnupg, python-boto, ${misc:Depends}, ${python:Depends}
Suggests: python-requests (>= 1.1)
Description: Library and tools for using Simple Streams data
 This package provides a client for interacting with simple
 streams data as is produced to describe Ubuntu's cloud images.

Package: python3-simplestreams-openstack
Architecture: all
Priority: optional
Depends: python3-glanceclient,
         python3-keystoneclient,
         python3-simplestreams (= ${binary:Version}),
         python3-swiftclient,
         ${misc:Depends},
         ${python3:Depends}
Description: Library and tools for using Simple Streams data
 This package depends on libraries necessary to use the openstack dependent
 functionality in simplestreams.  That includes interacting with glance,
 swift and keystone.

## simplestreams 0.1.0-30

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 build:
 	@echo nothing to do for $@
 
-test: test2 test3 flake8
+test: test2 test3
 
 test3: examples-sign
 	$(TENV) nosetests3 -v tests/

## simplestreams 0.1.0-30-g3cc8988a

=== debian/changelog ===
simplestreams (0.1.0-30-g3cc8988a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - tools/js2signed: change shebang to /usr/bin/env python3
    - Fix file matching for disk-kvm.img [Stéphane Graber]
    - Add combined-disk-kvm-img_sha256 to download.json [Stéphane Graber]
    - debian: run the tests only against Python 3 [Paride Legovini]
    - debian: stop building Python 2 package

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 05 Dec 2019 10:51:04 -0500

## simplestreams 0.1.0-46-gb1f40d99

=== debian/changelog ===
simplestreams (0.1.0-46-gb1f40d99-0ubuntu1) impish; urgency=medium

  * New upstream snapshot.
    - install-deps: install cargo as a tox dependency [Paride Legovini]
    - Add 10s timeout to out-going requests to avoid blocking. [Adam Collard]
    - simplestreams: fix use of deprecated LOG.warn method
    - Use cloud-images.ubuntu.com rsync module instead of uec-images
      [Philip Roche]
    - Revert "Skip disk-kvm-img as unsuable under LXD" [Stéphane Graber]
    - Make focal the current LTS [Robert C Jennings]
    - Drop fast path use of keystoneauth1 sessions object. [James Page]
    - Add build-packages to fix build failures on non-amd64 archs. [James Page]
    - Add snap packaging for simplestreams [James Page]
    - Add support for setting image custom properties [James Page]
    - Unpin linting tools to allow them to work on Ubuntu 20.04 LTS.
      [James Page]
    - make-test-data: Add missing change for uefi1 combined lxd sha
      [Robert C Jennings]
    - Present LXD KVM with Xenial images [Robert C Jennings]
    - Skip disk-kvm-img as unsuable under LXD [Stéphane Graber]
    - https://bugs.launchpad.net/simplestreams/+bug/1833435 [Daniele Rondina]
    - Fix file matching for disk-kvm.img [Robert C Jennings]
    - tools/js2signed: change shebang to /usr/bin/env python3
    - Fix file matching for disk-kvm.img [Stéphane Graber]
    - Add combined-disk-kvm-img_sha256 to download.json [Stéphane Graber]
    - debian: run the tests only against Python 3 [Paride Legovini]
    - debian: stop building Python 2 package

 -- Paride Legovini <paride@debian.org>  Tue, 18 May 2021 12:22:08 +0200

## simplestreams 0.1.0-48

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	$(TENV) ./tools/make-test-data $(EXDATA_SIGN_ARG) exdata-query/ exdata/fake
 
 exdata-query:
-	rsync -avz --delete --exclude "FILE_DATA_CACHE" --exclude ".bzr/*" cloud-images.ubuntu.com::uec-images/query/ exdata-query
+	rsync -avz --delete --exclude "FILE_DATA_CACHE" --exclude ".bzr/*" cloud-images.ubuntu.com::cloud-images/query/ exdata-query
 
 gnupg: gnupg/README

## simplestreams 0.1.0-48-gb936edd4

=== debian/changelog ===
simplestreams (0.1.0-48-gb936edd4-0ubuntu2) lunar; urgency=medium

  * d/p/test-rotate-example-keys: update test key to fix FTBFS. Thanks to
    Dominik Viererbe.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 05 Apr 2023 15:23:55 +0000

simplestreams (0.1.0-48-gb936edd4-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot.
    - Remove requests read timeout, whilst retaining connect timeout
      [Adam Collard]
    - Add support for setting image visibility [Colin Watson]

 -- Paride Legovini <paride@ubuntu.com>  Wed, 24 Nov 2021 18:41:45 +0100

## simplestreams 0.1.0-67

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,8 @@
 build:
 	@echo nothing to do for $@
 
-test: test2 test3
-
-test3: examples-sign
-	$(TENV) nosetests3 -v tests/
-test2: examples-sign
-	$(TENV) nosetests -v tests/
+test: examples-sign
+	$(TENV) python3 -m pytest -v tests/
 
 flake8:
 	# any means run via 'flake8' or 'python3 -m flake8'

## simplestreams 0.1.0-67-g8497b634

=== debian/changelog ===
simplestreams (0.1.0-67-g8497b634-0ubuntu1) noble; urgency=medium

  * d/p/test-rotate-example-keys: drop it, included in
    snapshot 0.1.0-67-g8497b634
  * New upstream snapshot.
    - feat(s3objectstore)!: migrate to python3-boto3
      [Alberto Contreras] (LP: #2052437)
    - tests: replace deprecated assertEquals with assertEqual [Paride Legovini]
    - allow downloading files externally [Alexsander Silva de Souza]
    - tox: add allowlist_externals to tox.ini for tox4 compatibility
      [Paride Legovini]
    - Fix CI failures [Paride Legovini]
    - test: rotate example gpg keys [Dominik]
    - Merge toabctl-master-make-test-data-optional-aws into master [a=toabctl]
      [r=philroche] [Philip Roche]
    - Update the test dependencies (drop python2) [Paride Legovini]
    - tox: drop the py27 environment [Paride Legovini]
    - test: adjust the pytest entry point for pre-Kinetic compatibility
      [Paride Legovini]
    - migrate nose to pytest [Alberto Contreras]
    - generate_index: Output product list in sorted order [Iain Lane]
    - Merge master-jammy-lts into master [a=toabctl] [r=philroche]
      [Philip Roche]
    - Add `latest=true` property to synced images [Guilherme Maluf Balzana]
    - Add support for importing images [Yoshi Kadokawa] (LP: #1889729)
    - Restores support for older versions of python-requests [Philip Roche]
    - Bring the packaging to newer standards. [Paride Legovini]

 -- Alberto Contreras <alberto.contreras@canonical.com>  Fri, 12 Apr 2024 09:18:06 +0200

=== debian/control ===
Source: simplestreams
Section: python
Priority: optional
Standards-Version: 4.6.0
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-flake8,
               python3-glanceclient,
               python3-keystoneclient,
               python3-mock,
               python3-pytest,
               python3-pytest-cov,
               python3-requests (>= 1.1),
               python3-setuptools,
               python3-swiftclient,
               python3-yaml
Homepage: http://launchpad.net/simplestreams
Rules-Requires-Root: no

Package: simplestreams
Architecture: all
Depends: python3-simplestreams,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Description: Library and tools for using Simple Streams data
 This package provides a client for interacting with simple
 streams data as is produced to describe Ubuntu's cloud images.

Package: python3-simplestreams
Architecture: all
Depends: gnupg, python3-boto3, ${misc:Depends}, ${python3:Depends}
Suggests: python3-requests (>= 1.1)
Description: Library and tools for using Simple Streams data
 This package provides a client for interacting with simple
 streams data as is produced to describe Ubuntu's cloud images.

Package: python3-simplestreams-openstack
Architecture: all
Depends: python3-glanceclient,
         python3-keystoneclient,
         python3-simplestreams (= ${binary:Version}),
         python3-swiftclient,
         ${misc:Depends},
         ${python3:Depends}
Description: Library and tools for using Simple Streams data
 This package depends on libraries necessary to use the openstack dependent
 functionality in simplestreams.  That includes interacting with glance,
 swift and keystone.

=== debian/rules ===
#!/usr/bin/make -f

export SS_REQUIRE_DISTRO_INFO = 0
PY3VERS := $(shell py3versions -r)
%:
	dh $@ --with=python3

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(PY3VERS); do \
		$$python setup.py build --executable=/usr/bin/python3 && \
		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

override_dh_missing:
	dh_missing --list-missing
